<form name="modalSetupGoogleAuthenticatorForm" novalidate autocomplete="off">
    <div class="modal-header">
        <button type="button" class="close" ng-click="close()"><span aria-hidden="true">&times;</span></button>
        <h3 class="modal-title">{{'GOOGLE_AUTHENTICATOR' | translate}}</h3>
    </div>
    <div class="modal-body">


        <uib-tabset>

            <uib-tab heading="{{'EXISTING_GAS' | translate}}">


                <table datatable="ng" class="row-border hover" dt-options="dtOptions" dt-column-defs="dtColumnDefs">
                    <thead>
                    <tr>
                        <th>{{'GA_TITLE' | translate}}</th>
                        <th>{{'DELETE' | translate}}</th>
                    </tr>
                    </thead>
                    <tbody>
                    <tr ng-repeat="ga in gas">
                        <td>{{ ga.title }}</td>
                        <td>
                            <button type="button" class="btn btn-default btn-sm" ng-click="delete_ga(gas, ga.id)">
                                {{'DELETE' | translate}}
                            </button>
                        </td>
                    </tr>
                    </tbody>
                </table>
                <div ng-repeat="e in delete_errors" class="help-block"><span translate="{{ e }}"></span></div>
            </uib-tab>

            <uib-tab heading="{{'NEW_GA' | translate}}">
                <br>

                <div class="form-horizontal" ng-if="step === 'step1'">
                    <div class="form-group">

                        <label class="control-label col-sm-6 col-md-4"
                               for="newGAForm-title">
                            <span>{{'TITLE' | translate}}</span>
                        </label>

                        <div class="col-sm-6 col-md-8">
                            <input type="text" ng-model="new_ga.title"
                                   ng-required="true"
                                   placeholder="{{'TITLE_OF_YOUR_GA' | translate}}" id="newGAForm-title"
                                   name="title"
                                   class="form-control">
                            <div ng-repeat="e in errors" class="help-block">
                                <span translate="{{ e }}"></span>
                            </div>
                        </div>
                    </div>
                    <div class="row form-group">
                        <label class="control-label col-sm-6 col-md-4">
                            &nbsp;
                        </label>

                        <div class="col-sm-6 col-md-8">
                            <button class="btn btn-primary btn-primary" ng-click="create_ga(new_ga)" type="button">{{'GENERATE' | translate}}</button>
                        </div>
                    </div>
                </div>

                <div class="form-horizontal" ng-if="step === 'step2'">
                    <div class="text-center" ng-bind-html="google_authenticator_html">

                    </div>
                    <div class="row form-group">
                        <div class="text-center">
                            <button class="btn btn-primary btn-primary" ng-click="goto_step3()" type="button">{{'SCAN_THE_CODE_THEN_CLICK_HERE' | translate}}</button>
                        </div>
                    </div>

                </div>

                <div class="form-horizontal" ng-if="step === 'step3'">
                    <div class="form-group">

                        <label class="control-label col-sm-6 col-md-4"
                               for="validateGAForm-title">
                            <span>{{'CODE' | translate}}</span>
                        </label>

                        <div class="col-sm-6 col-md-8">
                            <input type="text" ng-model="new_ga.code"
                                   ng-required="true"
                                   placeholder="{{'ONE_CODE_FOR_VALIDATION' | translate}}" id="validateGAForm-title"
                                   name="title"
                                   class="form-control">
                            <div ng-repeat="e in errors" class="help-block">
                                <span translate="{{ e }}"></span>
                            </div>
                        </div>
                    </div>
                    <div class="row form-group">
                        <label class="control-label col-sm-6 col-md-4">
                            &nbsp;
                        </label>

                        <div class="col-sm-6 col-md-8">
                            <button class="btn btn-primary btn-primary" ng-click="activate_ga(new_ga)" type="button">Validate</button>
                        </div>
                    </div>
                </div>

            </uib-tab>
        </uib-tabset>

    </div>
    <div class="modal-footer">
        <button class="btn" type="button" ng-click="close();">{{'CLOSE' | translate}}</button>
    </div>
</form>